%global pypi_name astroML
%define __python /usr/bin/python2.7
%global pyver 27
%global pybindir /usr/lib/python2.7/bin
#global pyver %{nil}


Name:           python%{pyver}-%{pypi_name}
Version:        0.2
Release:        2%{?dist}
Summary:        Python tools for machine learning and data mining in Astronomy

License:        BSD
URL:            http://www.astroml.org/
Source0:        https://pypi.python.org/packages/source/a/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  numpy%{pyver}
BuildRequires:  python%{pyver}-astropy
BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-matplotlib
BuildRequires:  python%{pyver}-nose
BuildRequires:  python%{pyver}-scikit-learn
BuildRequires:  python%{pyver}-setuptools
BuildRequires:  scipy%{pyver}
BuildRequires:  xorg-x11-server-Xvfb

Requires:       numpy%{pyver}
Requires:       python%{pyver}-astropy
Requires:       python%{pyver}-matplotlib
Requires:       python%{pyver}-scikit-learn
Requires:       scipy%{pyver}

%description
AstroML is a Python module for machine learning and data mining built on
numpy, scipy, scikit-learn, and matplotlib, and distributed under the
3-clause BSD license. It contains a growing library of statistical and
machine learning routines for analyzing astronomical data in python,
loaders for several open astronomical datasets, and a large suite of
examples of analyzing and visualizing astronomical datasets.


%package doc
Summary:        Examples for the %{pypi_name} package

%description doc
Documentation and examples for %{pypi_name}.


%prep
%setup -qn %{pypi_name}-%{version}


%build
%{__python} ./setup.py build


%install
%{__python} ./setup.py install -O1 --skip-build --root %{buildroot}


%check
xvfb-run -a nosetests-2.7


%files
%doc *.rst
%{python_sitelib}/%{pypi_name}
%{python_sitelib}/%{pypi_name}-%{version}-*.egg-info

%files doc
%doc *.rst book_figures examples paper_figures


%changelog
* Mon Mar 17 2014 Christian Dersch <chrisdersch@gmail.com> - 0.2-2
- fixed spec to match packaging guidelines

* Mon Feb 24 2014 Christian Dersch <chrisdersch@gmail.com> - 0.2-1
- upgrade to version 0.2, addons is now a seperate package (upstream change)

* Thu Oct 17 2013 Christian Dersch <chrisdersch@gmail.com> - 0.1.2-2
- fixed spec to match packaging guidelines

* Thu Oct 10 2013 Christian Dersch <chrisdersch@gmail.com> - 0.1.2-1
- initial spec
